View Issue Details

IDProjectCategoryView StatusLast Update
0022937mantisbtcustom fieldspublic2017-06-04 14:58
ReporteratrolAssigned Tovboctor 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version2.4.1 
Target Version2.4.2Fixed in Version2.4.2 
Summary0022937: Custom fields of type Email are not properly displayed
Description

Regression in 2.4.1 since fix of 0022428

Custom fields of type Email are no longer displayed as mail-to links but as pure text.

This is also not fixed after applying the fix for 0022926, but the behavior is a bit different.
The string displayed is mailto: if custom field is empty.

TagsNo tags attached.

Relationships

related to 0022428 closedvboctor CSV and Excel exports with markdown on 
related to 0022926 closedvboctor Custom Fields - Date: Field does not show date (view.php), shows other text 
related to 0022950 closedvboctor Custom Fields of Type Text showing Link (Url) as Text only 

Activities

Related Changesets

MantisBT: master-2.4 ce2ebad1

2017-05-28 13:43:39

vboctor

Details Diff
Fix formatting of email custom fields

Fixes 0022937
mod - core/cfdefs/cfdef_standard.php Diff File

Issue History

Date Modified Username Field Change
2017-05-28 05:10 atrol New Issue
2017-05-28 05:10 atrol Status new => assigned
2017-05-28 05:10 atrol Assigned To => vboctor
2017-05-28 05:11 atrol Relationship added related to 0022428
2017-05-28 05:11 atrol Relationship added related to 0022926
2017-05-28 05:14 atrol Description Updated View Revisions
2017-05-28 13:45 vboctor Note Added: 0056979
2017-05-30 07:46 atrol Relationship added related to 0022950
2017-06-04 13:26 vboctor Changeset attached => MantisBT master-2.4 ce2ebad1
2017-06-04 13:26 vboctor Status assigned => resolved
2017-06-04 13:26 vboctor Resolution open => fixed
2017-06-04 13:26 vboctor Fixed in Version => 2.4.2
2017-06-04 14:58 vboctor Status resolved => closed